Page MenuHomePhabricator

action.abort.type in Schema:Edit not populated for Wikitext
Closed, ResolvedPublic8 Story Points

Description

It looks like the action.abort.type field is not populated for Wikitext. Having this field will be critical for comparing usage patterns of Wikitext to VE.

> SELECT DISTINCT event_editor, `event_action.abort.type` FROM Edit_11448630 WHERE timestamp BETWEEN "20150401" AND "20150402";
+--------------+-------------------------+
| event_editor | event_action.abort.type |
+--------------+-------------------------+
| wikitext     | NULL                    |
| visualeditor | nochange                |
| visualeditor | abandon                 |
| visualeditor | NULL                    |
| visualeditor | switchwithout           |
| visualeditor | preinit                 |
| visualeditor | switchwith              |
| visualeditor | abandonMidsave          |
+--------------+-------------------------+
8 rows in set (1 min 1.64 sec)

Event Timeline

Halfak created this task.Apr 13 2015, 7:37 PM
Halfak updated the task description. (Show Details)
Halfak raised the priority of this task from to Needs Triage.
Halfak added a project: VisualEditor.
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2015, 7:37 PM
Halfak updated the task description. (Show Details)Apr 13 2015, 7:38 PM
Halfak set Security to None.
Krenair edited projects, added WikiEditor; removed VisualEditor.Apr 13 2015, 8:19 PM

I was under the impression that we wouldn't need abort.type immediately? That property is flawed anyway.

I will need it to compare edit completion rates. It seems that excluding "nochange" aborts will be critical for fairly comparing Wikitext and VE.

The "nochange" part is the problem really. It is not a type of abort, it is the state of the editor at the time of the abort. (a successful save is sometimes a nochange, though we don't log it as an abort) Otherwise you'd need to be able to combine it with the other types.

It seems like one could record an event in javascript on key press of the text area that would set a "changed" boolean.

I just realized that "Ctrl-C" would need to be excluded as that would be a common operation yielding "nochange".

Jdforrester-WMF triaged this task as Normal priority.Apr 15 2015, 12:07 AM
Catrope renamed this task from action.abort.type in Shema:Edit not populated for Wikitext to action.abort.type in Schema:Edit not populated for Wikitext.Apr 15 2015, 12:17 AM
Elitre added a subscriber: Elitre.Apr 15 2015, 10:27 AM

Change 205195 had a related patch set uploaded (by Catrope):
Populate abort.type in Schema:Edit logging

https://gerrit.wikimedia.org/r/205195

Krenair assigned this task to Catrope.Apr 20 2015, 3:13 AM

Change 205195 merged by jenkins-bot:
Populate abort.type in Schema:Edit logging

https://gerrit.wikimedia.org/r/205195

Change 208870 had a related patch set uploaded (by Jforrester):
Populate abort.type in Schema:Edit logging

https://gerrit.wikimedia.org/r/208870

Change 208871 had a related patch set uploaded (by Jforrester):
Populate abort.type in Schema:Edit logging

https://gerrit.wikimedia.org/r/208871

Change 208870 merged by jenkins-bot:
Populate abort.type in Schema:Edit logging

https://gerrit.wikimedia.org/r/208870

Change 208871 merged by jenkins-bot:
Populate abort.type in Schema:Edit logging

https://gerrit.wikimedia.org/r/208871

This is now deployed to production as of 2015-05-06 ~00:05 UTC. Please confirm.

Jdforrester-WMF closed this task as Resolved.May 8 2015, 10:10 PM

Thanks!

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:08 AM